Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159209 - CAN-2005-1267 tcpdump BGP DoS
Summary: CAN-2005-1267 tcpdump BGP DoS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tcpdump
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard: impact=low,source=vendorsec,reported=...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-31 16:17 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-08 08:35:24 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-31 16:17:59 UTC
+++ This bug was initially created as a clone of Bug #159208 +++

Simon L. Nielsen alerted vendor-sec to this issue:

While working on the FreeBSD Security Advisory for the recent tcpdump
issues (CAN-2005-1278, CAN-2005-1279, and CAN-2005-1280) I noticed
that there is another similar infinite loop DoS vulnerability in the
BGP handling code.

The problem lies in bgp_update_print() in print-bgp.c around line
1652, where the -1 return value from decode_prefix4() is not properly
handled.

This problem was fixed in tcpdump CVS repository in print-bgp.c
v. 1.95 on May 5, but it hasn't gone to the tcpdump 3.8 branch, and
hasn't been included in any of the vendor patch sets for earlier DoS
vulnerabilities that I have seen.

Comment 1 Josh Bressers 2005-05-31 16:22:35 UTC
This issue should also affect FC4

Comment 2 Josh Bressers 2005-05-31 16:23:41 UTC
The upstream patch is attachment 115005 [details]
The demo exploit is attachment 115006 [details]

Comment 3 Mark J. Cox 2005-06-06 08:40:00 UTC
Removing embargo as per Simon Nielsen msg to vendor-sec

Comment 4 Josh Bressers 2005-06-09 17:34:06 UTC
Martin,

Has this update made its way to FC4 by chance?

Comment 5 Martin Stransky 2005-06-10 07:10:53 UTC
Update for FC4 is done (ID's 407).


Note You need to log in before you can comment on or make changes to this bug.